# Uses of Class
javassist.bytecode.CodeAttribute

Packages that use CodeAttribute
Package
Description
javassist.bytecode
Bytecode-level API.

## Uses of CodeAttribute in javassist.bytecode

Methods in javassist.bytecode that return CodeAttribute
Modifier and Type
Method
Description
`CodeAttribute`
CodeIterator.`get()`
Returns a Code attribute read with this iterator.
`CodeAttribute`
MethodInfo.`getCodeAttribute()`
Returns a Code attribute.
`CodeAttribute`
Bytecode.`toCodeAttribute()`
Converts to a `CodeAttribute`.
Methods in javassist.bytecode with parameters of type CodeAttribute
Modifier and Type
Method
Description
`void`
MethodInfo.`setCodeAttribute(CodeAttribute cattr)`
Adds a Code attribute.